summaryrefslogtreecommitdiffstats
path: root/libraries/OpenAL
diff options
context:
space:
mode:
author Erik Hanson2010-05-11 14:56:11 +0200
committer Robby Workman2010-05-11 14:56:11 +0200
commit506fa67bb912568a65e34ecaf0e838337f30f2a2 (patch)
tree1f6ae64dc4975e67e42b793ea0b7f34dd3ca2593 /libraries/OpenAL
parent7e17b0e28287ae6fda086f90ec3ca649727f90c6 (diff)
downloadslackbuilds-506fa67bb912568a65e34ecaf0e838337f30f2a2.tar.gz
libraries/OpenAL: Initial import
Diffstat (limited to 'libraries/OpenAL')
-rw-r--r--libraries/OpenAL/OpenAL.SlackBuild57
-rw-r--r--libraries/OpenAL/OpenAL.info8
-rw-r--r--libraries/OpenAL/README2
-rw-r--r--libraries/OpenAL/slack-desc19
4 files changed, 86 insertions, 0 deletions
diff --git a/libraries/OpenAL/OpenAL.SlackBuild b/libraries/OpenAL/OpenAL.SlackBuild
new file mode 100644
index 0000000000..51e06baa01
--- /dev/null
+++ b/libraries/OpenAL/OpenAL.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for OpenAL
+# Written by Erik Hanson erik@slackbuilds.org
+# Modified by the SlackBuilds.org project
+
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-OpenAL
+
+VERSION=0.0.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf openal-$VERSION
+tar -zxvf $CWD/openal-$VERSION.tar.gz || exit 1
+cd openal-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# This package has no man pages or info pages
+
+mkdir -p $PKG/usr/doc/openal-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS NOTES README TODO \
+ $PKG/usr/doc/openal-$VERSION
+cat $CWD/OpenAL.SlackBuild > $PKG/usr/doc/openal-$VERSION/openal.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/OpenAL-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/OpenAL/OpenAL.info b/libraries/OpenAL/OpenAL.info
new file mode 100644
index 0000000000..0799f3c395
--- /dev/null
+++ b/libraries/OpenAL/OpenAL.info
@@ -0,0 +1,8 @@
+PRGNAM="OpenAL"
+VERSION="0.0.8"
+HOMEPAGE="http://www.openal.org/"
+DOWNLOAD="http://www.openal.org/openal_webstf/downloads/openal-0.0.8.tar.gz"
+MD5SUM="641cf53761f35ee979f3e888614797a0"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="robw810,elohim"
diff --git a/libraries/OpenAL/README b/libraries/OpenAL/README
new file mode 100644
index 0000000000..c3abf611b6
--- /dev/null
+++ b/libraries/OpenAL/README
@@ -0,0 +1,2 @@
+OpenAL is a cross-platform 3D audio API appropriate for use with gaming
+applications and many other types of audio applications.
diff --git a/libraries/OpenAL/slack-desc b/libraries/OpenAL/slack-desc
new file mode 100644
index 0000000000..8bac6dc373
--- /dev/null
+++ b/libraries/OpenAL/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+OpenAL: OpenAL - a cross-platform 3D audio API
+OpenAL:
+OpenAL: OpenAL is a cross-platform 3D audio API appropriate for use with gaming
+OpenAL: applications and many other types of audio applications.
+OpenAL:
+OpenAL: http://www.OpenAL.org/
+OpenAL:
+OpenAL:
+OpenAL:
+OpenAL:
+OpenAL: